Last Comment Bug 111386 - Page break should be forced before floating image
: Page break should be forced before floating image
Status: REOPENED
: testcase
Product: Core
Classification: Components
Component: Printing: Output (show other bugs)
: Trunk
: x86 Windows 2000
: P3 normal with 5 votes (vote)
: Future
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-21 21:48 PST by Koike Kazuhiko
Modified: 2009-10-14 17:37 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Image file for testcase (10.96 KB, image/gif)
2001-11-26 19:46 PST, Koike Kazuhiko
no flags Details
Testcase (13.00 KB, text/html)
2001-11-26 19:50 PST, Koike Kazuhiko
no flags Details

Description Koike Kazuhiko 2001-11-21 21:48:08 PST
Page break should be forced before floating image if it is located
near the end of the page.

Now the part of floating image goes out of page.
Comment 1 rods (gone) 2001-11-26 10:11:58 PST
I need a testcase
Comment 2 sujay 2001-11-26 10:32:13 PST
Koike, please provide a testcase.
Comment 3 Koike Kazuhiko 2001-11-26 19:46:54 PST
Created attachment 59279 [details]
Image file for testcase
Comment 4 Koike Kazuhiko 2001-11-26 19:50:14 PST
Created attachment 59281 [details]
Testcase
Comment 5 Kevin McCluskey (gone) 2003-02-14 11:46:39 PST
-> jkeiser
Comment 6 Vaclav Juza 2004-02-18 10:07:07 PST
Still breaking float elements in Mozilla 1.6

That should be fixed, CSS 2 is here since 1999, and mozilla is saying it is
standard compliant.
(http://www.w3.org/TR/1998/REC-CSS2-19980512/page.html#q16)
Comment 7 Hideo Oshima 2008-06-20 19:34:10 PDT
I tried attachment 59281 [details] and cannot reproduce with recent trunk/Linux.
This problem seems to be fixed.
Marking WFM.
Comment 8 Hideo Oshima 2008-06-20 23:20:44 PDT
(In reply to comment #7)
> I tried attachment 59281 [details] and cannot reproduce with recent trunk/Linux.
> This problem seems to be fixed.
> Marking WFM.
 
I'm sorry.
That comment is wrong.
This problem is still reproducible.
Reopening.
Comment 9 Alain-Christian 2009-10-14 17:37:10 PDT
Still breaks floated elements near the bottom of the page in 3.5.

Note You need to log in before you can comment on or make changes to this bug.